Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.forms.events
Class HyperlinkAdapter

    java.lang.Object
      org.eclipse.ui.forms.events.HyperlinkAdapter

All Implemented Interfaces:
  IHyperlinkListener

public class HyperlinkAdapter
extends Object
implements IHyperlinkListener

This adapter class provides default implementations for the methods described by the `HyperlinkListener` interface.

Classes that wish to deal with `HyperlinkEvent` s can extend this class and override only the methods which they are interested in.

Since:
  3.0
See Also:
  `IHyperlinkListener`, `HyperlinkEvent`

Constructor Summary
`HyperlinkAdapter()`

Method Summary
`void` | `linkActivated(HyperlinkEvent e)` Sent when the link is activated.
`void` | `linkEntered(HyperlinkEvent e)` Sent when the link is entered.
`void` | `linkExited(HyperlinkEvent e)` Sent when the link is exited.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HyperlinkAdapter

    public HyperlinkAdapter()

Method Detail

### linkEntered

    public void linkEntered(HyperlinkEvent e)

  Sent when the link is entered. The default behaviour is to do nothing.

  Specified by:
    `linkEntered` in interface `IHyperlinkListener`
  Parameters:
    `e` - the event

### linkExited

    public void linkExited(HyperlinkEvent e)

  Sent when the link is exited. The default behaviour is to do nothing.

  Specified by:
    `linkExited` in interface `IHyperlinkListener`
  Parameters:
    `e` - the event

### linkActivated

    public void linkActivated(HyperlinkEvent e)

  Sent when the link is activated. The default behaviour is to do nothing.

  Specified by:
    `linkActivated` in interface `IHyperlinkListener`
  Parameters:
    `e` - the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.